/**
* DevExtreme (ui/file_manager/file_provider/ajax.d.ts)
* Version: 19.2.13
* Build date: Fri Dec 03 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import FileProvider, {
    FileProviderOptions
} from './file_provider';

/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface AjaxFileProviderOptions extends FileProviderOptions<AjaxFileProvider> {
    /**
     * Specifies which data field provides information about nested files and directories.
     */
    itemsExpr?: string | Function;
    /**
     * Specifies the URL used to load an array of JSON objects that represent files and directories.
     */
    url?: string;
}
/**
 * The Ajax file provider works with a virtual file system represented by an array of JSON objects loaded from a URL.
 */
export default class AjaxFileProvider extends FileProvider {
    constructor(options?: AjaxFileProviderOptions)
}
